/**
 * @brief Description of Project Here
 * @author 
 * @date Month Day, Year
 * @version 1.0
 * 
*/

#include "simpletools.h"
#include "fdserial.h"

void Test1(void);
void Test2(void);

// Change the value after TEST to 0 or 1
#define Tx 0
#define Rx 1
#define TEST 0

fdserial *fd;
int i;

int main()
{
  
  if (TEST == 0)
    Test1();
  
  if (TEST == 1)
    Test2();
 
  while(1)
  {
    print("Test %d\n", TEST);
    pause(1000);
  }  
}

void Test1()
{
  while (1)
  {
    low(Tx);
    print("Pin: %d => High\n", Tx);
    pause(1000);
    high(Tx);
    print("Pin %d => Low\n", Tx);
    pause(1000);
  }
}

void Test2()
{
  fd = fdserial_open(Rx, Tx, FDSERIAL_MODE_NONE, 115200);
  
  while (1)
  {
    fdserial_txChar(fd, '1');
    print("Pin: %d => 1\n", Tx);
    pause(1000);
    fdserial_txChar(fd, '0');
    print("Pin: %d => 0\n", Tx);
    pause(1000);
  }
  fdserial_close(fd);
}
  