/**
 * @brief Description of Project Here
 * @author 
 * @date Month Day, Year
 * @version 1.0
 * 
*/

#include "simpletools.h"
#include "fdserial.h"


void Test1(void);
void Test2(void);

// Change value after TEST to 0 or 1
#define Rx 0
#define Tx 1
#define TEST 0

fdserial *fd;
int i;

int main()
{

  if (TEST == 0)
    Test1();
  
  if (TEST == 1)
    Test2();
 
  while(1)
  {
    print("TEST: %d\n", TEST);
    pause(1000);
  }  
}

void Test1()
{
  while (1)
  {
    i = input(Rx);
    print("Pin: %d => %d\n", Rx, i);
    pause(1000);
  }
}

void Test2()
{
  fd = fdserial_open(Rx, Tx, FDSERIAL_MODE_NONE, 115200);
  
  while (1)
  {
    i = fdserial_rxCount(fd);
    if (i > 0)
    {
      i = fdserial_rxChar(fd);
      print("pin: %d => %d \n", Rx, i);
    }
  }
  fdserial_close(fd);
}
  